$(function(){
	//标签的切换效果
	init_index_changeTabs();
	
	//动态添加员工信息的
	$('.index_content_right_employee>span:first-child+span').css({
		'width':$('#index_right').width()-($('.index_content_right_employee>span:first-child').width()+$('.index_content_right_employee>span:first-child+span+span').width()+20)-52,
		'lineHeight':'18px'
	});
	//动态添加员工信息的座右铭
	$('.index_employee_text').css({
		'width':$('.index_content_right_employee>span:first-child+span').width()+21,
		'lineHeight':'18px',
		'marginTop':'-2px'
	})
	
	//先取消鼠标移到的效果,避免多次运行hover事件
	$('.index_friendship img').unbind('mouseenter').unbind('mouseleave');
	//友情提示的效果
	$('.index_friendship img').hover(function(){
		var src = $(this).attr('src');
		var index = src.lastIndexOf("_");
		$(this).attr('src',src.substring(0, index)+'.jpg');
	},function(){
		var src = $(this).attr('src');
		var index = src.lastIndexOf(".");
		$(this).attr('src',src.substring(0, index)+'_gray.jpg');
	})
	
	//搜索的效果
	$('.index_search_show_content span').unbind("click").bind('click',function(){
		if($(this).attr('class')=='index_search_show_result_click'){
			return;
		}	
		var index = $('.index_search_show_content span').index($(this));
		/*var oldIndex = $('.index_search_show_content span').index($(this).parent().find('.index_search_show_result_click'));
		$(this).parent().find('.index_search_show_result_click').removeClass('index_search_show_result_click');*/
		$(this).addClass('index_search_show_result_click');
		$(this).data('id',index);
		/*//先删除之前选中的
		$('#index_search_show_result>div').each(function(index,element){
			if($(element).data('id')==oldIndex){
				$(element).remove();
			}
		})*/
		//添加到搜索结果中
		var $div = $('<div class="index_search_show_result_content"><span>'+ $(this).text() +'</span><span onclick="index_search_show_result_remove(this)"><img src="'+ctx+'/custom/images/search_turn off.png" width="10" height="10" /></span></div>');
		$div.data('id',index);
		$('#index_search_show_result').append($div);
		animate_autoHeight($('.index_search_content'));
	})
	
	//模块的拖动效果
	$(".index_content>div" ).sortable({
		handle:'.index_content_left_header',
		cancel:".index_module img",//图片都禁止拖动
		connectWith: ".index_content>div", //可放置的位置
		placeholder: "index_module_sortable", //提示的样式
		opacity: 0.5,//拖动的透明度 
		revert: true, //缓冲效果 
		 //cursor: 'move',拖动的时候鼠标样式 
		stop: function(event, ui) {
			index_update_module();
		}
    });
	
	//动态添加添加模块的right属性
	$('.index_insert_module').css('right',$('.index_header').css('marginRight'));
	//鼠标滚动时
	$(window).scroll(function() {
        // 当滚动距离头部100像素时显示图片
        if ($(this).scrollTop()>100) {
        	$('.index_insert_module').fadeIn();
        }
        else{
        	$('.index_insert_module').fadeOut();	
        }
	});
	
	/*//鼠标移到添加模板的效果
	$( ".index_insert_module" ).tooltip({
		  hide: {
		    effect: "explode",
		    delay: 250
		  }
    });*/
	
})

//删除查询条件
function index_search_show_result_remove(handler){
	var oldIndex = $(handler).parent().data('id');
	$(handler).parent().remove();
	animate_autoHeight($('.index_search_content'));
	$('.index_search_show_content span').each(function(index,element){
		if($(element).data('id')==oldIndex){
			$(element).removeClass('index_search_show_result_click');
		}
	})
}

//点击取消时
function index_search_show_result_close(){
	$('.index_search_content').animate({height:'60px'},function(){
		$('.index_content_left_header').css('zIndex','0')
		if($('.index_search_content>input').val()==''){
			$('.index_search_content>input').val('大数据搜索引擎');
		}
	});
}

//点击搜索时
function index_search(handler){
	$('.index_search_content>input').val('');
	var $obj = $(handler).parent(); 
	$obj.css({"background":"white"});
	animate_autoHeight($obj);
	$('.index_content_left_header').css('zIndex','-1');
}

//animate 自适应容器的高度
function animate_autoHeight(handler){
	var $obj = $(handler); 
	var currentHeight = $obj.css("height");
	$obj.css({"height":"auto"});
	var animateHeight = $obj.css("height");
	$obj.css("height", currentHeight);
	$obj.animate({height: animateHeight});
}

//记住密码
function login_password(handler){
	$(handler).prev().prop('checked',!$(handler).prev().prop('checked'));
}

//伸缩模块
function index_module_toggle(handler){
	if($(handler).parent().nextAll().is(":animated")){
		return;
	}	
	if($(handler).attr('src')==ctx+'/custom/images/index4_sectionsmall.png'){
		$(handler).attr('src',ctx+'/custom/images/index4_sectionlarge.png');
	}
	else{
		$(handler).attr('src',ctx+'/custom/images/index4_sectionsmall.png');
	}
	$(handler).parent().nextAll().slideToggle();
}

//删除模块
function index_module_remove(handler){
	var txt=  "是否要删除该板块!!!";
	var option = {
		title: "删除提示",
		onOk: function(){
			index_hide_active('shake',$(handler).parent().parent(),function(){
				$(handler).parent().parent().remove();
				index_update_module();
				//出现新增模块提示
				$('.index_insert_module').fadeIn();
			});
		},
		onCancel:function(){
			
		}
	}
	window.wxc.xcConfirm(txt, window.wxc.xcConfirm.typeEnum.warning,option);
}

//修改左中右模块到数据库
function index_update_module(){
	//左边的容器
	var left_container = $('#index_left').html();
	//中间的容器
	var center_container = $('#index_center').html();
	//右边的容器
	var right_container = $('#index_right').html();
	console.log('------------左边的内容------------');
	console.log(left_container)
	console.log('------------中间的内容------------');
	console.log(center_container)
	console.log('------------右边的内容------------');
	console.log(right_container)
	/*$.ajax({
		type:'post',
		url:'1111',
		data:{
			left_container:left_container,
			center_container:center_container,
			right_container:right_container
		},
		success:function(){}
	})*/
}

//显示新增模块的信息
function index_insert_module(){
	//打开fancybox
	$.fancybox.open('<div style="width:300px;" class="index_showModule_container"><div><div><img src="'+ctx+'/custom/images/index_selete_module.png" /></div><img src="'+ctx+'/custom/images/index_module_logo1.png" width="16" height="16" /><span>办事大厅</span></div><div class="index_module_unSelete"><img src="'+ctx+'/custom/images/index_module_logo2.png" width="16" height="16" /><span>消息中心</span></div><div><div><img src="'+ctx+'/custom/images/index_selete_module.png" /></div><img src="'+ctx+'/custom/images/index_module_logo1.png" width="16" height="16" /><span>应用系统</span></div><div><div><img src="'+ctx+'/custom/images/index_selete_module.png" /></div><img src="'+ctx+'/custom/images/index_module_logo2.png" width="16" height="16" /><span>办公区</span></div><div><div><img src="'+ctx+'/custom/images/index_selete_module.png" /></div><img src="'+ctx+'/custom/images/index_module_logo1.png" width="16" height="16" /><span>员工信息</span></div><div class="index_showModule_container_btn"><span>确定</span><span>取消</span></div></div>');
	
	//取消
	$('.index_showModule_container_btn>span:first-child+span').bind('click',function(){
		//关闭fancybox
		$.fancybox.close();
	})
	
	//模块的点击效果
	$('.index_showModule_container>div:not(".index_showModule_container_btn,.index_module_unSelete")').bind('click',function(){
		$(this).toggleClass('index_showModule_container_click');
		$(this).find('div').toggle();
	})
	
	//确定
	$('.index_showModule_container_btn>span:first-child').bind('click',function(){
		$('.index_showModule_container>.index_showModule_container_click').each(function(i,element){
			var clone = '';
			var module_title = $(element).find('span').text();
			$('.index_content_left_header>div:first-child').each(function(index,ele){
				if($(ele).text()==module_title){
					clone = $(ele).parents('.index_module').clone();
					//退出循环
					return false;
				}
			});
			$('#index_left').append(clone);
		})
		//重新初始化tabs的切换效果
		init_index_changeTabs();
		
		//加载到数据库
		index_update_module();
		
		//关闭fancybox
		$.fancybox.close();
		
	})
	
}

//模块隐藏的效果
function index_hide_active(selectedEffect,handler,callback){
      // 从中获取特效类型
      var selectedEffect = selectedEffect;
 
      // 大多数的特效类型默认不需要传递选项
      var options = {};
      // 一些特效带有必需的参数
      if ( selectedEffect === "scale" ) {
        options = { percent: 0 };
      } else if ( selectedEffect === "size" ) {
        options = { to: { width: 200, height: 60 } };
      }
 
      if(typeof callback=='function'){
    	  // 运行特效
          $(handler).hide( selectedEffect, options, 1000 ,callback);
      }
      else{
    	  // 运行特效
          $(handler).hide( selectedEffect, options, 1000 );
      }
}

//模块显示的效果
function index_show_active(selectedEffect,handler,callback){
	// 从中获取特效类型
    var selectedEffect = selectedEffect;

    // 大多数的特效类型默认不需要传递选项
    var options = {};
    // 一些特效带有必需的参数
    if ( selectedEffect === "scale" ) {
      options = { percent: 100 };
    } else if ( selectedEffect === "size" ) {
      options = { to: { width: 280, height: 185 } };
    }

    if(typeof callback=='function'){
    	// 运行特效
    	$(handler).show( selectedEffect, options, 500,callback);
    }
    else{
    	// 运行特效
        $(handler).show( selectedEffect, options, 500);
    }
}

//初始化tabs的切换
function init_index_changeTabs(){
	$('.index_content_left_tabs>span').unbind("click").bind('click',function(){
		if($(this).attr('src')=='index_content_left_tabs_click'){
			return;
		}
		var index = $(this).index();
		//去掉原来的点击样式
		$(this).parent().find('.index_content_left_tabs_click').removeClass('index_content_left_tabs_click');
		$(this).addClass('index_content_left_tabs_click');
		//切换tabs
		$(this).parent().next().find('.show_content').removeClass('show_content').addClass('hide_content');
		$(this).parent().next().find('.hide_content').eq(index).removeClass('hide_content').addClass('show_content')
	})
}